import { fetch, post, ApiResponse } from './index'

export function queryParamsPage(params = {}): Promise<ApiResponse<any>> {
  return fetch({ url: '/upms/system-params/page', params })
}

export function createParam(params = {}): Promise<ApiResponse<any>> {
  return post({ url: '/upms/system-params/create', params })
}

export function updateParam(params = {}): Promise<ApiResponse<any>> {
  return post({ url: '/upms/system-params/update', params })
}

export function removeParam(params = {}): Promise<ApiResponse<any>> {
  return post({ url: '/upms/system-params/remove', params })
}
